aboutsummaryrefslogtreecommitdiffstats
path: root/yardstick/benchmark/scenarios/networking/netperf_remove.bash
diff options
context:
space:
mode:
Diffstat (limited to 'yardstick/benchmark/scenarios/networking/netperf_remove.bash')
-rwxr-xr-xyardstick/benchmark/scenarios/networking/netperf_remove.bash21
1 files changed, 21 insertions, 0 deletions
diff --git a/yardstick/benchmark/scenarios/networking/netperf_remove.bash b/yardstick/benchmark/scenarios/networking/netperf_remove.bash
new file mode 100755
index 000000000..bb2299a2b
--- /dev/null
+++ b/yardstick/benchmark/scenarios/networking/netperf_remove.bash
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+##############################################################################
+# Copyright (c) 2016 Huawei Technologies Co.,Ltd and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+set -e
+echo "===Remove netperf after install begin!==="
+cp /etc/apt/sources.list_bkp /etc/apt/sources.list
+cp /etc/resolv.conf_bkp /etc/resolv.conf
+
+service netperf stop
+
+sudo apt-get purge -y netperf
+
+echo "===Remove netperf after install end!!!==="